# Class CosmwasmIbcBridge<N, C>

#### Type Parameters

- #### N extends Network

- #### C extends CosmwasmChains

#### Hierarchy

- CosmwasmIbcBridge

#### Implements

- IbcBridge<N, CosmwasmPlatformType, C>

- Defined in ibc.ts:54

#####
Index

### Constructors

constructor

### Properties

chain
chainToChannel
channelToChain
contracts
gatewayAddress
network
rpc

### Methods

createUnsignedTx
fetchTransferChannel
fetchTransferInfo
getTransferChannel
lookupMessageFromIbcMsgId
lookupTransferFromIbcMsgId
lookupTransferFromMsg
lookupTransferFromTx
lookupTxFromIbcMsgId
parseIbcTransferInfo
transfer
fromRpc

## Constructors

### `Private` constructor

- new CosmwasmIbcBridge<N, C>(network, chain, rpc, contracts): CosmwasmIbcBridge<N, C>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  - #### C extends "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira"

  #### Parameters

  - ##### network: N

  - ##### chain: C

  - ##### rpc: CosmWasmClient

  - ##### contracts: Contracts

  #### Returns CosmwasmIbcBridge<N, C>

  - Defined in ibc.ts:63

## Properties

### `Readonly` chain

chain: C

- Defined in ibc.ts:65

### `Private` chainToChannel

chainToChannel: Map<"Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira", string> = ...

- Defined in ibc.ts:61

### `Private` channelToChain

channelToChain: Map<string, "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira"> = ...

- Defined in ibc.ts:60

### `Readonly` contracts

contracts: Contracts

- Defined in ibc.ts:67

### `Private` gatewayAddress

gatewayAddress: string

- Defined in ibc.ts:57

### `Readonly` network

network: N

- Defined in ibc.ts:64

### `Readonly` rpc

rpc: CosmWasmClient

- Defined in ibc.ts:66

## Methods

### `Private` createUnsignedTx

- createUnsignedTx(txReq, description, parallelizable?): CosmwasmUnsignedTransaction<N, C>

- #### Parameters

  - ##### txReq: CosmwasmTransaction

  - ##### description: string

  - ##### parallelizable: boolean = false

  #### Returns CosmwasmUnsignedTransaction<N, C>

  - Defined in ibc.ts:352

### fetchTransferChannel

- fetchTransferChannel(chain): Promise<string>

- #### Parameters

  - ##### chain: "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira"

  #### Returns Promise<string>

  Implementation of IbcBridge.fetchTransferChannel

  - Defined in ibc.ts:342

### `Private` fetchTransferInfo

- fetchTransferInfo(tx): Promise<IbcTransferInfo[]>

- #### Parameters

  - ##### tx: IndexedTx

  #### Returns Promise<IbcTransferInfo[]>

  - Defined in ibc.ts:312

### getTransferChannel

- getTransferChannel<C>(chain): string

- #### Type Parameters

  - #### C extends "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira"

  #### Parameters

  - ##### chain: C

  #### Returns string

  Implementation of IbcBridge.getTransferChannel

  - Defined in ibc.ts:93

### lookupMessageFromIbcMsgId

- lookupMessageFromIbcMsgId(msg): Promise<WormholeMessageId>

- #### Parameters

  - ##### msg: IbcMessageId

  #### Returns Promise<WormholeMessageId>

  Implementation of IbcBridge.lookupMessageFromIbcMsgId

  - Defined in ibc.ts:173

### lookupTransferFromIbcMsgId

- lookupTransferFromIbcMsgId(msg): Promise<IbcTransferInfo>

- #### Parameters

  - ##### msg: IbcMessageId

  #### Returns Promise<IbcTransferInfo>

  Implementation of IbcBridge.lookupTransferFromIbcMsgId

  - Defined in ibc.ts:225

### lookupTransferFromMsg

- lookupTransferFromMsg(msg): Promise<IbcTransferInfo>

- #### Parameters

  - ##### msg: GatewayTransferMsg | GatewayTransferWithPayloadMsg

  #### Returns Promise<IbcTransferInfo>

  Implementation of IbcBridge.lookupTransferFromMsg

  - Defined in ibc.ts:240

### lookupTransferFromTx

- lookupTransferFromTx(txid): Promise<IbcTransferInfo>

- #### Parameters

  - ##### txid: string

  #### Returns Promise<IbcTransferInfo>

  Implementation of IbcBridge.lookupTransferFromTx

  - Defined in ibc.ts:159

### `Private` lookupTxFromIbcMsgId

- lookupTxFromIbcMsgId(msg): Promise<IndexedTx>

- #### Parameters

  - ##### msg: IbcMessageId

  #### Returns Promise<IndexedTx>

  - Defined in ibc.ts:184

### `Private` parseIbcTransferInfo

- parseIbcTransferInfo(tx): IbcTransferInfo[]

- #### Parameters

  - ##### tx: IndexedTx

  #### Returns IbcTransferInfo[]

  - Defined in ibc.ts:269

### transfer

- transfer(sender, recipient, token, amount): AsyncGenerator<CosmwasmUnsignedTransaction<N, C>, any, unknown>

- #### Parameters

  - ##### sender: AnyCosmwasmAddress

  - ##### recipient: ChainAddress

  - ##### token: AnyCosmwasmAddress

  - ##### amount: bigint

  #### Returns AsyncGenerator<CosmwasmUnsignedTransaction<N, C>, any, unknown>

  Implementation of IbcBridge.transfer

  - Defined in ibc.ts:97

### `Static` fromRpc

- fromRpc<N>(rpc, config): Promise<CosmwasmIbcBridge<N, "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira">>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### rpc: CosmWasmClient

  - ##### config: ChainsConfig<N, "Cosmwasm">

  #### Returns Promise<CosmwasmIbcBridge<N, "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira">>

  - Defined in ibc.ts:82

Generated using TypeDoc